PageListing (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.page.PageListing class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.page
Class PageListing

    java.lang.Object
      org.hyperic.ui.tapestry.page.PageListing

    public class PageListing

extends java.lang.Object

String constants that represent the tapestry and struts pages.

Field Summary
`static java.lang.String` | `DASHBOARD_URL`
`static java.lang.String` | `HQU_CONTEXT_URL`
`static java.lang.String` | `PLUGIN`
`static java.lang.String` | `REGISTRATION`
`static java.lang.String` | `REGISTRATION_URL`
`static java.lang.String` | `REPORTING`
`static java.lang.String` | `RESOURCE_HUB`

Constructor Summary
`PageListing()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTRATION

    public static final java.lang.String REGISTRATION

See Also:
  Constant Field Values

### RESOURCE_HUB

    public static final java.lang.String RESOURCE_HUB

See Also:
  Constant Field Values

### PLUGIN

    public static final java.lang.String PLUGIN

See Also:
  Constant Field Values

### REGISTRATION_URL

    public static final java.lang.String REGISTRATION_URL

See Also:
  Constant Field Values

### DASHBOARD_URL

    public static final java.lang.String DASHBOARD_URL

See Also:
  Constant Field Values

### REPORTING

    public static final java.lang.String REPORTING

See Also:
  Constant Field Values

### HQU_CONTEXT_URL

    public static final java.lang.String HQU_CONTEXT_URL

See Also:
  Constant Field Values

Constructor Detail

### PageListing

    public PageListing()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.